mt-check.cgiはシステムの構成を確認し、Movable Typeを実行するために必要なコンポーネントがそろっていることを確認するためのスクリプトです。

システム情報

確認中: 必須モジュール

CGI::Cookie

サーバーに CGI::Cookie がインストールされています(バージョン 1.20)。

File::Spec (version >= 0.8)

サーバーに File::Spec がインストールされています(バージョン 3.12)。

Image::Size

サーバーに Image::Size がインストールされています(バージョン 2.93)。

CGI

サーバーに CGI がインストールされています(バージョン 2.80)。

確認中: データストレージモジュール

これらのモジュールは、Movable Type がデータを保存するために必要なモジュールです。DBIと、1つ以上のデータベース用のモジュールをインストールする必要があります。

DBI (version >= 1.21)

サーバーに DBI がインストールされています(バージョン 1.621)。

DBD::mysql

サーバーに DBD::mysql がインストールされています(バージョン 3.0007)。

DBD::SQLite

サーバーに DBD::SQLite がインストールされています(バージョン 1.29)。

DBD::Pg (version >= 1.32)

サーバーに DBD::Pg がインストールされています(バージョン 1.49)。

DBD::SQLite2

サーバーに DBD::SQLite2 がインストールされています(バージョン 0.33)。

確認中: オプションモジュール

これらのモジュールのインストールは任意です。お使いのサーバーにこれらのモジュールがインストールされていない場合でも、Movable Type の基本機能は動作します。これらのモジュールの機能が必要となった場合にはインストールを行ってください。

Scalar::Util

サーバーに Scalar::Util がインストールされています(バージョン 1.21)。

Crypt::DSA

サーバーに Crypt::DSAか、Crypt::DSAの動作に必要な他のモジュールがインストールされていません。 コメント投稿時のサインインが高速になります。 Crypt::DSAのインストールはインストールマニュアルに沿って行ってください。

XML::SAX

サーバーに XML::SAX がインストールされています(バージョン 0.13)。

Archive::Zip

サーバーに Archive::Zip がインストールされています(バージョン 1.16)。

Storable

サーバーに Storable がインストールされています(バージョン 2.15)。

SOAP::Lite (version >= 0.5)

サーバーに SOAP::Lite がインストールされています(バージョン 0.52)。

List::Util

サーバーに List::Util がインストールされています(バージョン 1.21)。

HTML::Entities

サーバーに HTML::Entities がインストールされています(バージョン 1.35)。

Text::Balanced

サーバーに Text::Balanced がインストールされています(バージョン 1.95)。

Digest::MD5

サーバーに Digest::MD5 がインストールされています(バージョン 2.36)。

GD

サーバーに GD がインストールされています(バージョン 2.45)。

Archive::Tar

サーバーに Archive::Tar がインストールされています(バージョン 1.3901)。

Safe

サーバーに Safe がインストールされています(バージョン 2.27)。

IO::Uncompress::Gunzip

サーバーに IO::Uncompress::Gunzipか、IO::Uncompress::Gunzipの動作に必要な他のモジュールがインストールされていません。 バックアップと復元で圧縮の機能を利用する場合に必要となります。 IO::Uncompress::Gunzipのインストールはインストールマニュアルに沿って行ってください。

Digest::SHA1

サーバーに Digest::SHA1 がインストールされています(バージョン 2.11)。

IO::Compress::Gzip

サーバーに IO::Compress::Gzipか、IO::Compress::Gzipの動作に必要な他のモジュールがインストールされていません。 バックアップと復元で圧縮の機能を利用する場合に必要となります。 IO::Compress::Gzipのインストールはインストールマニュアルに沿って行ってください。

Image::Magick

サーバーに Image::Magick がインストールされています(バージョン 6.2.8)。

XML::Atom

サーバーに XML::Atom がインストールされています(バージョン 0.25)。

LWP::UserAgent

サーバーに LWP::UserAgent がインストールされています(バージョン 2.001)。

MIME::Base64

サーバーに MIME::Base64 がインストールされています(バージョン 3.07)。

Mail::Sendmail

サーバーに Mail::Sendmailか、Mail::Sendmailの動作に必要な他のモジュールがインストールされていません。 SMTPサーバーを経由してメールを送信する場合に必要になります。 Mail::Sendmailのインストールはインストールマニュアルに沿って行ってください。

File::Temp

サーバーに File::Temp がインストールされています(バージョン 0.12)。

システムのチェックを完了しました。

Movable Typeを利用できます。 お使いのサーバーには、Movable Type の動作に必要なすべてのモジュールがインストールされています。モジュールを追加インストール作業は必要はありません。マニュアルに従い、インストールを続けてください。